Bug 24438 - Some ELF files can not run!
Some ELF files can not run!
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-01-19 19:05 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-05 19:21:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-19 19:05:01 EST
Some applications like "maple v5", "tecplot" can not run under Redhat 7.0
(they run well under 6.2).  For instance,

   $ ./maple
    bash: ./maple: No such file or directory

run with strace:

   $ strace -f  ./maple
   execve("./maple", ["./maple"], [/* 27 vars */]) = 0
   strace: exec: No such file or directory

But the file exists!

    Using "objdump" I found that those files (tecplot and maple) which can
not run have the headers like that:

	./maple:     file format elf32-i386
	Disassembly of section .interp:
	080480d4 <.interp>:
 	80480d4:       2f                      das	
 	80480d5:       6c                      insb   (%dx),%es:(%edi)
	80480d6:       69 62 2f 6c 64 2d 6c    imul   $0x6c2d646c,0x2f(%edx),%esp
 	80480dd:       69 6e 75 78 2e 73 6f    imul   $0x6f732e78,0x75(%esi),%ebp
	80480e4:       2e 31 00                xor   

The .interp section start at 080480d4., while the runing applications has

	/bin/ls:     file format elf32-i386
	Disassembly of section .interp:
	080480f4 <.interp>:
	 80480f4:       2f                      das
	 80480f5:       6c                      insb   (%dx),%es:(%edi)
	 80480f6:       69 62 2f 6c 64 2d 6c    imul   $0x6c2d646c,0x2f(%edx),%esp
	 80480fd:       69 6e 75 78 2e 73 6f    imul  

which starts at 080480f4 or other place.

	It seems a bug in kernel or glibc prevent those applications be
Comment 1 Arjan van de Ven 2001-01-22 13:55:00 EST
This is a libc5 binary. Red Hat 7 doesn't support those out of the box,
but you can run them by installing the following packages from Red Hat 6.2:


Note You need to log in before you can comment on or make changes to this bug.